Skip to main content
POST
/
feedback
/
answer
Submit Answer Feedback
curl --request POST \
  --url https://apigcp.trynia.ai/v2/feedback/answer \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "signal": "thumbs_up",
  "session_id": "<string>",
  "message_id": "<string>",
  "retrieval_log_id": "<string>",
  "comment": "<string>"
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Body

application/json
signal
enum<string>
required
Available options:
thumbs_up,
thumbs_down
session_id
string | null
message_id
string | null
retrieval_log_id
string | null
comment
string | null
Maximum string length: 1000

Response

Successful Response